# Interface methods for submodule: AdditiveGaussianNoiseImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NoiseBaseImageFilterProxy as _NoiseBaseImageFilterProxy


# Interface methods for class: AdditiveGaussianNoiseImageFilter
class AdditiveGaussianNoiseImageFilterProxy(_NoiseBaseImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMean(self) -> float:
		""""""
		...

	def SetMean(self, _arg: float) -> None:
		""""""
		...

	def GetStandardDeviation(self) -> float:
		""""""
		...

	def SetStandardDeviation(self, _arg: float) -> None:
		""""""
		...

